## org.apache.cassandra.cql3.statements
Class Selector.WithFunction

    java.lang.Object
      org.apache.cassandra.cql3.statements.Selector.WithFunction

All Implemented Interfaces:
  Selector

Enclosing interface:
  Selector

    public static class Selector.WithFunction

extends java.lang.Object
implements Selector

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Selector
`Selector.Function, Selector.WithFunction`

Constructor Summary
`Selector.WithFunction(ColumnIdentifier id, Selector.Function function)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`Selector.Function` `function()`
`boolean` `hasFunction()`
`int` `hashCode()`
`ColumnIdentifier` `id()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Selector.WithFunction

    public Selector.WithFunction(ColumnIdentifier id,
                                 Selector.Function function)

Method Detail

### id

    public ColumnIdentifier id()

  Specified by:
    `id` in interface `Selector`

### hasFunction

    public boolean hasFunction()

  Specified by:
    `hasFunction` in interface `Selector`

### function

    public Selector.Function function()

  Specified by:
    `function` in interface `Selector`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public final boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation